package edu.fiu.jtlex.data;

import org.junit.Before;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

public class IndeterminacyDetectorTest {
	@Test
	void testDetector() {
		IGraph TimeML = testUtils.generateTestGraph(26);
		IndeterminacyDetector.detect(TimeML);
		System.out.println("Indeterminacy Score: " + (IndeterminacyDetector.getIndeterminacyScore() * 100) + "%");
		System.out.println("Indeterminate Pairs: " + IndeterminacyDetector.indeterminantTimePairs().toString());
		System.out.println("Indeterminate Time Points: " + IndeterminacyDetector.indeterminantTimePoints().toString());
		System.out.println("Total Indeterminate Sections: " + IndeterminacyDetector.getTotalIndeterminantSections());
		System.out.println("Timeline Length: " + IndeterminacyDetector.getTimelineLength());
		System.out.println("Total Adjacent Pairs: " + IndeterminacyDetector.getTotalAdjacentPairs());
		
	}
}
